package com.ejie.ab79.model.plantillas;

import java.util.Date;

import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

/**
 * RelExpTer  
 * 
 *  
 */

public class RelExpPla implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Integer idRelExpPla;
	private Integer idPlantilla;
	private Integer idExpediente;
	private String ruta;
	private Date fechaRegistro;
	private String usuarioRegistro;
	private Integer idProcedimiento;
	private String identificador;

	/**
	 * Method 'RelExpPla'.
	 */
	public RelExpPla() {
	}

	/**
	 * Method 'RelExpPla'.
	 * 
	 * @param idRelExpPla
	 *            Integer
	 */
	public RelExpPla(Integer idRelExpPla) {
		this.idRelExpPla = idRelExpPla;
	}

	/**
	 * Method 'RelExpPla'.
	 * 
	 * @param idRelExpPla
	 *            Integer
	 * @param idPlantilla
	 *            Integer
	 * @param idExpediente
	 *            Integer
	 * @param ruta
	 *            String
	 * @param fechaRegistro
	 *            Date
	 * @param usuarioRegistro
	 *            String
	 * @param idProcedimiento
	 *            Integer
	 */
	public RelExpPla(Integer idRelExpPla, Integer idPlantilla, Integer idExpediente, String ruta, Date fechaRegistro,
			String usuarioRegistro, Integer idProcedimiento) {

		this.idRelExpPla = idRelExpPla;
		this.idPlantilla = idPlantilla;
		this.idExpediente = idExpediente;
		this.ruta = ruta;
		this.fechaRegistro = fechaRegistro;
		this.usuarioRegistro = usuarioRegistro;
		this.idProcedimiento = idProcedimiento;
	}

	/**
	 * Method 'getIdRelExpPla'.
	 *
	 * @return Integer
	 */

	public Integer getIdRelExpPla() {
		return this.idRelExpPla;
	}

	/**
	 * Method 'setIdRelExpPla'.
	 *
	 * @param idRelExpPla
	 *            Integer
	 * @return
	 */

	public void setIdRelExpPla(Integer idRelExpPla) {
		this.idRelExpPla = idRelExpPla;
	}

	/**
	 * Method 'getIdPlantilla'.
	 *
	 * @return Integer
	 */

	public Integer getIdPlantilla() {
		return this.idPlantilla;
	}

	/**
	 * Method 'setIdPlantilla'.
	 *
	 * @param idPlantilla
	 *            Integer
	 * @return
	 */

	public void setIdPlantilla(Integer idPlantilla) {
		this.idPlantilla = idPlantilla;
	}

	/**
	 * Method 'getIdExpediente'.
	 *
	 * @return Integer
	 */

	public Integer getIdExpediente() {
		return this.idExpediente;
	}

	/**
	 * Method 'setIdExpediente'.
	 *
	 * @param idExpediente
	 *            Integer
	 * @return
	 */

	public void setIdExpediente(Integer idExpediente) {
		this.idExpediente = idExpediente;
	}

	/**
	 * Method 'getRuta'.
	 *
	 * @return String
	 */

	public String getRuta() {
		return this.ruta;
	}

	/**
	 * Method 'setRuta'.
	 *
	 * @param ruta
	 *            String
	 * @return
	 */

	public void setRuta(String ruta) {
		this.ruta = ruta;
	}

	/**
	 * Method 'getFechaRegistro'.
	 *
	 * @return java.util.Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaRegistro() {
		return this.fechaRegistro;
	}

	/**
	 * Method 'setFechaRegistro'.
	 *
	 * @param fechaRegistro
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaRegistro(Date fechaRegistro) {
		this.fechaRegistro = fechaRegistro;
	}

	/**
	 * Method 'getUsuarioRegistro'.
	 *
	 * @return String
	 */

	public String getUsuarioRegistro() {
		return this.usuarioRegistro;
	}

	/**
	 * Method 'setUsuarioRegistro'.
	 *
	 * @param usuarioRegistro
	 *            String
	 * @return
	 */

	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	/**
	 * Method 'getIdProcedimiento'.
	 *
	 * @return Integer
	 */

	public Integer getIdProcedimiento() {
		return this.idProcedimiento;
	}

	/**
	 * Method 'setIdProcedimiento'.
	 *
	 * @param idProcedimiento
	 *            Integer
	 * @return
	 */

	public void setIdProcedimiento(Integer idProcedimiento) {
		this.idProcedimiento = idProcedimiento;
	}

	/**
	 * Method 'getIdentificador'.
	 * 
	 * @return String
	 */

	public String getIdentificador() {
		return identificador;
	}

	/**
	 * Method 'setIdentificador'.
	 *
	 * @param identificador
	 *            String
	 * @return
	 */

	public void setIdentificador(String identificador) {
		this.identificador = identificador;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ idRelExpPla: ").append(this.idRelExpPla).append(" ]");
		result.append(", [ idPlantilla: ").append(this.idPlantilla).append(" ]");
		result.append(", [ idExpediente: ").append(this.idExpediente).append(" ]");
		result.append(", [ ruta: ").append(this.ruta).append(" ]");
		result.append(", [ fechaRegistro: ").append(this.fechaRegistro).append(" ]");
		result.append(", [ usuarioRegistro: ").append(this.usuarioRegistro).append(" ]");
		result.append(", [ idProcedimiento: ").append(this.idProcedimiento).append(" ]");
		result.append("}");
		return result.toString();
	}

}
